<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
  <meta charset="<?php bloginfo( 'charset' ); ?>" />
  <meta name="viewport" content="width=device-width">
  <meta name="format-detection" content="telephone=no">
  <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

  <!-- #site-container -->
  <div id="site-container" class="clearfix">

    <?php if ( has_nav_menu( 'primary-nav' ) ) : ?>
      <!-- #primary-nav-mobile -->
      <nav id="primary-nav-mobile">
        <a class="menu-toggle clearfix" href="#"><i class="fa fa-reorder"></i></a>
        <?php wp_nav_menu( array('theme_location' => 'primary-nav', 'container' => false, 'menu_class' => 'clearfix', 'menu_id' => 'mobile-menu', )); ?>
      </nav>
      <!-- /#primary-nav-mobile -->
    <?php endif; ?>

    <!-- #header -->
    <header id="site-header" class="clearfix" role="banner">
      <div class="ht-container">

        <!-- #logo -->
        <div id="logo">
          <?php if (is_front_page()) { ?><h1><?php } ?>
          <a title="<?php bloginfo( 'name' ); ?>" href="<?php echo home_url(); ?>">
            <?php if (apply_filters( 'knowhow_get_theme_option', 'st_logo', null )) { ?>
              <img alt="<?php bloginfo( 'name' ); ?>" src="<?php echo apply_filters( 'knowhow_get_theme_option', 'st_logo', null ); ?>">
            <?php } else { ?>
              <?php bloginfo( 'name' ); ?>
            <?php } ?>
          </a>
          <?php if (is_front_page()) { ?></h1><?php } ?>
        </div>
        <!-- /#logo -->

        <?php if ( has_nav_menu( 'primary-nav' ) ) : ?>
          <!-- #primary-nav -->
          <nav id="primary-nav" role="navigation" class="clearfix">
            <?php wp_nav_menu( array('theme_location' => 'primary-nav', 'container' => false, 'menu_class' => 'nav sf-menu clearfix' )); ?>
          </nav>
          <!-- #primary-nav -->
        <?php endif; ?>

      </div>
    </header>
    <!-- /#header -->

    <!-- #live-search -->
    <div id="live-search">
      <div class="ht-container">
        <div id="search-wrap">
          <form role="search" method="get" id="searchform" class="clearfix" action="<?php echo home_url( '/' ); ?>">
            <input type="text" onfocus="if (this.value == '<?php echo apply_filters( 'knowhow_get_theme_option', 'st_search_text', null ); ?>') {this.value = '';}" onblur="if (this.value == '')  {this.value = '<?php echo apply_filters( 'knowhow_get_theme_option', 'st_search_text', null ); ?>';}" value="<?php echo apply_filters( 'knowhow_get_theme_option', 'st_search_text', null ); ?>" name="s" id="s" autocapitalize="off" autocorrect="off" autocomplete="off" />
            <i class="live-search-loading fa fa-spinner fa-spin"></i>
            <button type="submit" id="searchsubmit">
              <i class='fa fa-search'></i><span><?php _e("Search", "knowhow") ?></span>
            </button>
          </form>
        </div>
      </div>
    </div>
<!-- /#live-search -->

